const { browser } = require('protractor');

function aprovacaoEntrada() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new  ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');
	const self = this;
	
	
	this.abrir = () => {
	    z.component.menu.open();
	    protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
	    z.component.menu.clickByPath(['Documentos Fiscais', 'Aprovação de Lançamentos']);
	};
	
	this.filtroAprovacaoCompra = (empresaCompra, filialCompra, remetenteCompra, dataInicialCompra, dataFinalCompra, serieCompra, operacaoCompra) => {
		geral.selectNative('IDAPROVACAO', 'Aprovação');
		geral.clickLimparAutoComplete('NMEMPRESA');
		geral.searchAndClickGridField('NMEMPRESA', empresaCompra);
		geral.selectOpcaoLista('IDENTRSAIDOP', 'Entrada');
		geral.selectMultiplo('CDFILIAL', 'NMFILIAL', filialCompra);
		geral.selectOpcaoLista('IDORIGDESTNF', 'Fornecedor');
		geral.searchAndClickGridField('NMRAZSOCFORN', remetenteCompra);
		z.field.calendar.selectIntervalDate('DTENTRSAID', dataInicialCompra, dataFinalCompra, 'pt_br');
		z.field.calendar.selectIntervalDate('DTEMISSAO', dataInicialCompra, dataFinalCompra, 'pt_br');
		geral.searchAndClickGridField('DSSERIEENTR', serieCompra);
		geral.selectMultiplo('CDTIPOOPER', 'NMTIPOOPER', operacaoCompra);
	};
	
	this.aprovacaoEntrada = () => {
		var order = element(by.css('#grid-1485228555847028093929 > div.header > div > div > div:nth-child(4) > span > span.ng-binding'));
		protractorHelper.click(order);
		protractorHelper.click(order);
		var checkbox = element(by.css('#grid-1485228555847028093929 > div.body > div > div.tr.cell1 > div.td.grid-checkbox-column.zh-side-column.fixed.zh-ripple-effect > span > svg > rect'));
		protractorHelper.click(checkbox);
	};
};
module.exports = new aprovacaoEntrada();